aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.travis.yml28
-rw-r--r--build.sh48
-rw-r--r--docker/benchmarking-cntt/Dockerfile2
-rw-r--r--docker/benchmarking/Dockerfile6
-rw-r--r--docker/core/Dockerfile4
-rw-r--r--docker/healthcheck/Dockerfile2
-rw-r--r--docker/smoke-cntt/Dockerfile2
-rw-r--r--docker/smoke/Dockerfile30
-rw-r--r--docker/vnf/Dockerfile2
9 files changed, 62 insertions, 62 deletions
diff --git a/.travis.yml b/.travis.yml
index dd55ce20e..0c11b2430 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -48,8 +48,8 @@ jobs:
script: >
sudo manifest-tool push from-args \
--platforms linux/amd64,linux/arm,linux/arm64 \
- --template ${DOCKER_USERNAME}/functest-core:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-core:latest
+ --template ${DOCKER_USERNAME}/functest-core:ARCH-wallaby \
+ --target ${DOCKER_USERNAME}/functest-core:wallaby
- stage: build all functest images
script: sudo -E bash build.sh
env:
@@ -127,23 +127,23 @@ jobs:
script: >
sudo manifest-tool push from-args \
--platforms linux/amd64,linux/arm,linux/arm64 \
- --template ${DOCKER_USERNAME}/functest-healthcheck:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-healthcheck:latest
+ --template ${DOCKER_USERNAME}/functest-healthcheck:ARCH-wallaby \
+ --target ${DOCKER_USERNAME}/functest-healthcheck:wallaby
- script: >
sudo manifest-tool push from-args \
--platforms linux/amd64,linux/arm,linux/arm64 \
- --template ${DOCKER_USERNAME}/functest-smoke:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-smoke:latest
+ --template ${DOCKER_USERNAME}/functest-smoke:ARCH-wallaby \
+ --target ${DOCKER_USERNAME}/functest-smoke:wallaby
- script: >
sudo manifest-tool push from-args \
--platforms linux/amd64,linux/arm,linux/arm64 \
- --template ${DOCKER_USERNAME}/functest-benchmarking:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-benchmarking:latest
+ --template ${DOCKER_USERNAME}/functest-benchmarking:ARCH-wallaby \
+ --target ${DOCKER_USERNAME}/functest-benchmarking:wallaby
- script: >
sudo manifest-tool push from-args \
--platforms linux/amd64,linux/arm,linux/arm64 \
- --template ${DOCKER_USERNAME}/functest-vnf:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-vnf:latest
+ --template ${DOCKER_USERNAME}/functest-vnf:ARCH-wallaby \
+ --target ${DOCKER_USERNAME}/functest-vnf:wallaby
- stage: build all functest cntt images
script: sudo -E bash build.sh
env:
@@ -185,10 +185,10 @@ jobs:
script: >
sudo manifest-tool push from-args \
--platforms linux/amd64,linux/arm,linux/arm64 \
- --template ${DOCKER_USERNAME}/functest-smoke-cntt:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-smoke-cntt:latest
+ --template ${DOCKER_USERNAME}/functest-smoke-cntt:ARCH-wallaby \
+ --target ${DOCKER_USERNAME}/functest-smoke-cntt:wallaby
- script: >
sudo manifest-tool push from-args \
--platforms linux/amd64,linux/arm,linux/arm64 \
- --template ${DOCKER_USERNAME}/functest-benchmarking-cntt:ARCH-latest \
- --target ${DOCKER_USERNAME}/functest-benchmarking-cntt:latest
+ --template ${DOCKER_USERNAME}/functest-benchmarking-cntt:ARCH-wallaby \
+ --target ${DOCKER_USERNAME}/functest-benchmarking-cntt:wallaby
diff --git a/build.sh b/build.sh
index effd07500..d6920f944 100644
--- a/build.sh
+++ b/build.sh
@@ -16,63 +16,63 @@ arm64_dirs=${arm64_dirs-${amd64_dirs}}
build_opts=("--pull=true" --no-cache "--force-rm=true")
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-core|${repo}/functest-core:amd64-latest|g" {} +
+ -e "s|opnfv/functest-core:wallaby|${repo}/functest-core:amd64-wallaby|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-smoke|${repo}/functest-smoke:amd64-latest|g" {} +
+ -e "s|opnfv/functest-smoke:wallaby|${repo}/functest-smoke:amd64-wallaby|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-benchmarking|\
-${repo}/functest-benchmarking:amd64-latest|g" {} +
+ -e "s|opnfv/functest-benchmarking:wallaby|\
+${repo}/functest-benchmarking:amd64-wallaby|g" {} +
for dir in ${amd64_dirs}; do
(cd "${dir}" &&
docker build "${build_opts[@]}" \
- -t "${repo}/functest-${dir##**/}:amd64-latest" .)
- docker push "${repo}/functest-${dir##**/}:amd64-latest"
+ -t "${repo}/functest-${dir##**/}:amd64-wallaby" .)
+ docker push "${repo}/functest-${dir##**/}:amd64-wallaby"
[ "${dir}" != "docker/core" ] &&
- (docker rmi "${repo}/functest-${dir##**/}:amd64-latest" || true)
+ (docker rmi "${repo}/functest-${dir##**/}:amd64-wallaby" || true)
done
[ -n "${amd64_dirs}" ] &&
- (docker rmi "${repo}/functest-core:amd64-latest" alpine:3.13 || true)
+ (docker rmi "${repo}/functest-core:amd64-wallaby" alpine:3.13 || true)
find . -name Dockerfile -exec git checkout {} +
find . -name Dockerfile -exec sed -i \
-e "s|alpine:3.13|arm64v8/alpine:3.13|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-core|${repo}/functest-core:arm64-latest|g" {} +
+ -e "s|opnfv/functest-core:wallaby|${repo}/functest-core:arm64-wallaby|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-smoke|${repo}/functest-smoke:arm64-latest|g" {} +
+ -e "s|opnfv/functest-smoke:wallaby|${repo}/functest-smoke:arm64-wallaby|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-benchmarking|\
-${repo}/functest-benchmarking:arm64-latest|g" {} +
+ -e "s|opnfv/functest-benchmarking:wallaby|\
+${repo}/functest-benchmarking:arm64-wallaby|g" {} +
for dir in ${arm64_dirs}; do
(cd "${dir}" && docker build "${build_opts[@]}" \
- -t "${repo}/functest-${dir##**/}:arm64-latest" .)
- docker push "${repo}/functest-${dir##**/}:arm64-latest"
+ -t "${repo}/functest-${dir##**/}:arm64-wallaby" .)
+ docker push "${repo}/functest-${dir##**/}:arm64-wallaby"
[ "${dir}" != "docker/core" ] &&
- (docker rmi "${repo}/functest-${dir##**/}:arm64-latest" || true)
+ (docker rmi "${repo}/functest-${dir##**/}:arm64-wallaby" || true)
done
[ -n "${arm64_dirs}" ] &&
- (docker rmi "${repo}/functest-core:arm64-latest" \
+ (docker rmi "${repo}/functest-core:arm64-wallaby" \
arm64v8/alpine:3.13 || true)
find . -name Dockerfile -exec git checkout {} +
find . -name Dockerfile -exec sed -i \
-e "s|alpine:3.13|arm32v6/alpine:3.13|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-core|${repo}/functest-core:arm-latest|g" {} +
+ -e "s|opnfv/functest-core:wallaby|${repo}/functest-core:arm-wallaby|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-smoke|${repo}/functest-smoke:arm-latest|g" {} +
+ -e "s|opnfv/functest-smoke:wallaby|${repo}/functest-smoke:arm-wallaby|g" {} +
find . -name Dockerfile -exec sed -i \
- -e "s|opnfv/functest-benchmarking|\
-${repo}/functest-benchmarking:arm-latest|g" {} +
+ -e "s|opnfv/functest-benchmarking:wallaby|\
+${repo}/functest-benchmarking:arm-wallaby|g" {} +
for dir in ${arm_dirs}; do
(cd "${dir}" && docker build "${build_opts[@]}" \
- -t "${repo}/functest-${dir##**/}:arm-latest" .)
- docker push "${repo}/functest-${dir##**/}:arm-latest"
+ -t "${repo}/functest-${dir##**/}:arm-wallaby" .)
+ docker push "${repo}/functest-${dir##**/}:arm-wallaby"
[ "${dir}" != "docker/core" ] &&
- (docker rmi "${repo}/functest-${dir##**/}:arm-latest" || true)
+ (docker rmi "${repo}/functest-${dir##**/}:arm-wallaby" || true)
done
[ -n "${arm_dirs}" ] &&
- (docker rmi "${repo}/functest-core:arm-latest" \
+ (docker rmi "${repo}/functest-core:arm-wallaby" \
arm32v6/alpine:3.13 || true)
find . -name Dockerfile -exec git checkout {} +
diff --git a/docker/benchmarking-cntt/Dockerfile b/docker/benchmarking-cntt/Dockerfile
index 56b69e270..b682717e2 100644
--- a/docker/benchmarking-cntt/Dockerfile
+++ b/docker/benchmarking-cntt/Dockerfile
@@ -1,4 +1,4 @@
-FROM opnfv/functest-benchmarking
+FROM opnfv/functest-benchmarking:wallaby
COPY testcases.yaml /usr/lib/python3.8/site-packages/xtesting/ci/testcases.yaml
COPY blacklist.yaml /src/functest/functest/opnfv_tests/openstack/rally/blacklist.yaml
diff --git a/docker/benchmarking/Dockerfile b/docker/benchmarking/Dockerfile
index 3108cf452..42817de3f 100644
--- a/docker/benchmarking/Dockerfile
+++ b/docker/benchmarking/Dockerfile
@@ -1,7 +1,7 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:wallaby
-ARG VMTP_TAG=master
-ARG NEUTRON_TAG=master
+ARG VMTP_TAG=326f466feb5ec9fc5644c8867d51b808bc83b2bb
+ARG NEUTRON_TAG=stable/wallaby
RUN apk --no-cache add --update libxml2 libxslt && \
apk --no-cache add --virtual .build-deps --update \
diff --git a/docker/core/Dockerfile b/docker/core/Dockerfile
index 05929fdff..70586b4e3 100644
--- a/docker/core/Dockerfile
+++ b/docker/core/Dockerfile
@@ -1,7 +1,7 @@
FROM alpine:3.13
-ARG BRANCH=master
-ARG OPENSTACK_TAG=master
+ARG BRANCH=stable/wallaby
+ARG OPENSTACK_TAG=stable/wallaby
COPY Switch-to-threading.Thread-for-Rally-tasks.patch /tmp/Switch-to-threading.Thread-for-Rally-tasks.patch
COPY Create-new-server-in-test_create_backup.patch /tmp/Create-new-server-in-test_create_backup.patch
diff --git a/docker/healthcheck/Dockerfile b/docker/healthcheck/Dockerfile
index 5ec2471a8..b7d662861 100644
--- a/docker/healthcheck/Dockerfile
+++ b/docker/healthcheck/Dockerfile
@@ -1,4 +1,4 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:wallaby
ARG ODL_TAG=89b88a0a23561f0bda62338b394ec41655679b2d
diff --git a/docker/smoke-cntt/Dockerfile b/docker/smoke-cntt/Dockerfile
index 4585edb34..6fa119910 100644
--- a/docker/smoke-cntt/Dockerfile
+++ b/docker/smoke-cntt/Dockerfile
@@ -1,4 +1,4 @@
-FROM opnfv/functest-smoke
+FROM opnfv/functest-smoke:wallaby
COPY testcases.yaml /usr/lib/python3.8/site-packages/xtesting/ci/testcases.yaml
COPY tempest_conf.yaml /src/functest/functest/opnfv_tests/openstack/tempest/custom_tests/tempest_conf.yaml
diff --git a/docker/smoke/Dockerfile b/docker/smoke/Dockerfile
index 1e083d3c9..bf5c4e114 100644
--- a/docker/smoke/Dockerfile
+++ b/docker/smoke/Dockerfile
@@ -1,19 +1,19 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:wallaby
-ARG PATROLE_TAG=master
-ARG NEUTRON_TEMPEST_TAG=master
-ARG CINDER_TEMPEST_TAG=master
-ARG KEYSTONE_TEMPEST_TAG=master
-ARG NEUTRON_TAG=master
-ARG GLANCE_TAG=master
-ARG NOVA_TAG=master
-ARG KEYSTONE_TAG=master
-ARG CINDER_TAG=master
-ARG BARBICAN_TAG=master
-ARG OCTAVIA_TAG=master
-ARG HEAT_TEMPEST_TAG=master
-ARG TELEMETRY_TEMPEST_TAG=master
-ARG CYBORG_TEMPEST_TAG=master
+ARG PATROLE_TAG=0.12.0
+ARG NEUTRON_TEMPEST_TAG=1.4.0
+ARG CINDER_TEMPEST_TAG=1.4.0
+ARG KEYSTONE_TEMPEST_TAG=0.7.0
+ARG NEUTRON_TAG=stable/wallaby
+ARG GLANCE_TAG=stable/wallaby
+ARG NOVA_TAG=stable/wallaby
+ARG KEYSTONE_TAG=stable/wallaby
+ARG CINDER_TAG=stable/wallaby
+ARG BARBICAN_TAG=1.2.0
+ARG OCTAVIA_TAG=1.6.0
+ARG HEAT_TEMPEST_TAG=1.2.0
+ARG TELEMETRY_TEMPEST_TAG=1.2.0
+ARG CYBORG_TEMPEST_TAG=1.2.0
RUN apk --no-cache add --update libxml2 libxslt && \
apk --no-cache add --virtual .build-deps --update \
diff --git a/docker/vnf/Dockerfile b/docker/vnf/Dockerfile
index aa98b6c25..e41bbe7d4 100644
--- a/docker/vnf/Dockerfile
+++ b/docker/vnf/Dockerfile
@@ -1,4 +1,4 @@
-FROM opnfv/functest-core
+FROM opnfv/functest-core:wallaby
ARG VIMS_TEST_TAG=release-130
ARG QUAFF_TAG=59213d6d8ee29433552bb75f505cdc96b0b18909